package com.atmob.keyboard_android.enums

/**
 * Flutter方法名
 */
enum class FlutterMethod(val methodName: String) {
    /**
     * 用户，是否已登录
     */
    IS_LOGIN("isLogin"),

    /**
     * 用户，是否是VIP会员
     */
    IS_MEMBER("isMember"),

    /**
     * 获取键盘列表
     */
    GET_KEYBOARD_LIST("getKeyboardList"),

    /**
     * 选择键盘
     */
    SELECTED_KEY_BOARD("selectedKeyboard"),

    /**
     * 获取当前键盘Id
     */
    GET_CURRENT_KEYBOARD_ID("getCurrentKeyboardId"),

    /**
     * 获取人设列表
     */
    GET_CHARACTER_LIST("getCharacterList"),

    /**
     * 获取开场白列表
     */
    GET_PROLOGUE_LIST("getPrologueList"),

    /**
     * 超会回
     */
    SUPER_REPLY("superReply"),

    /**
     * 超会说
     */
    SUPER_SPEAK("superSpeak"),

    /**
     * 开场白
     */
    PROLOGUE("prologue"),
}